function Fv = Dynamics_WM_NetworkDpMM_ODE23(t,y)
%% Called from Case_C1Sp2_CmnsDp_ODE23.m
% y = [S1; S2; C1]
global r0 rint A B KMM

Nc = 2;
Nm = 1;
X = y(1:2,1);
C = y(3,1);
Ce = (C.*(C>0))*ones(1,Nc);
Fv(1:2,1) = (r0 + (rint./(Ce+KMM)')*(C.*(C>0))).*X;

AMM = A'.*Ce./(Ce+KMM);
Fv(3,1) = B'*X - AMM*X;

return;